{
    attributes = (
        {
            columnName = "TVA_ID"; 
            externalType = NUMBER; 
            name = tvaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TVA_TAUX"; 
            externalType = NUMBER; 
            name = tvaTaux; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "TYET_ID"; 
            externalType = NUMBER; 
            name = tyetId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (tvaId, tyetId); 
    className = "org.cocktail.fwkcktlgfceos.server.metier.EOTva"; 
    classProperties = (tvaTaux, typeEtat); 
    externalName = "GFC.ADM_TVA"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.fwkcktlgfceos.server.metier.EOTva"; 
    }; 
    name = "FwkGFCEos_Tva"; 
    primaryKeyAttributes = (tvaId); 
    relationships = (
        {
            destination = "FwkGFCEos_TypeEtat"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyetId; sourceAttribute = tyetId; }); 
            name = typeEtat; 
        }
    ); 
}
